> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentbody.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return live structured Google keyword SERP results

> Use this operation to return live structured google keyword serp results. Authenticate with Authorization: Bearer <AGENTBODY_API_KEY>. Correct a 400 invalid-input error; do not retry unchanged. Retry only declared 502, 503, or 504 responses with backoff.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/seo/google-serp
openapi: 3.1.0
info:
  description: >-
    Direct authenticated APIs for public social data, people data, transcripts,
    documents, text, and SEO. Send an API key as a Bearer token. Responses never
    include provider credentials or raw provider payloads.
  license:
    name: Proprietary
    url: https://agentbody.io
  title: AgentBody API
  version: '2026-08-19'
servers:
  - url: https://api.agentbody.io
security:
  - bearerAuth: []
paths:
  /v1/seo/google-serp:
    post:
      tags:
        - seo
      summary: Return live structured Google keyword SERP results
      description: >-
        Use this operation to return live structured google keyword serp
        results. Authenticate with Authorization: Bearer <AGENTBODY_API_KEY>.
        Correct a 400 invalid-input error; do not retry unchanged. Retry only
        declared 502, 503, or 504 responses with backoff.
      operationId: post_v1_seo_google_serp
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: false
              properties:
                browser_screen_density:
                  type: number
                browser_screen_height:
                  type: integer
                browser_screen_resolution:
                  type: string
                browser_screen_width:
                  type: integer
                calculate_rectangles:
                  type: boolean
                depth:
                  maximum: 10
                  minimum: 1
                  type: integer
                device:
                  enum:
                    - desktop
                    - mobile
                  type: string
                keyword:
                  maxLength: 700
                  minLength: 1
                  type: string
                language_code:
                  type: string
                language_name:
                  type: string
                load_async_ai_overview:
                  type: boolean
                location_code:
                  type: integer
                location_coordinate:
                  type: string
                location_name:
                  type: string
                os:
                  enum:
                    - windows
                    - macos
                    - android
                    - ios
                  type: string
                se_domain:
                  type: string
                search_param:
                  type: string
              required:
                - keyword
              type: object
        required: true
      responses:
        '200':
          $ref: '#/components/responses/SEOSERPSuccess'
        '400':
          content:
            application/json:
              example:
                error:
                  code: INVALID_ARGUMENT
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: INVALID_ARGUMENT
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Correct the input; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '401':
          content:
            application/json:
              example:
                error:
                  code: UNAUTHENTICATED
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UNAUTHENTICATED
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Configure a valid API key; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '502':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_INVALID_RESPONSE
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_INVALID_RESPONSE
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '503':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_UNAVAILABLE
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_UNAVAILABLE
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '504':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_TIMEOUT
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_TIMEOUT
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
components:
  parameters:
    IdempotencyKey:
      description: Optional key for safely retrying a billable write request.
      example: request-20260819-001
      in: header
      name: Idempotency-Key
      required: false
      schema:
        maxLength: 255
        minLength: 1
        type: string
  responses:
    SEOSERPSuccess:
      content:
        application/json:
          example:
            items: []
            items_count: 0
            keyword: example_value
          schema:
            $ref: '#/components/schemas/SEOSERPResult'
      description: Organic search results.
      headers:
        X-Request-Id:
          description: Gateway request identifier for support and audit.
          schema:
            format: uuid
            type: string
  schemas:
    SEOSERPResult:
      additionalProperties: false
      properties:
        datetime:
          type: string
        items:
          items:
            additionalProperties: false
            properties:
              description:
                type: string
              domain:
                type: string
              rank_absolute:
                type: integer
              rank_group:
                type: integer
              title:
                type: string
              type:
                type: string
              url:
                type: string
            type: object
          type: array
        items_count:
          type: integer
        keyword:
          type: string
        language_code:
          type:
            - string
            - 'null'
        location_code:
          type:
            - integer
            - 'null'
        pages_count:
          type: integer
        se_domain:
          type: string
        se_results_count:
          type: integer
      required:
        - keyword
        - items_count
        - items
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````